package projet

import chisel3.UInt
import chisel3.util.Fill

// Utility function to sign extend number to higher amount of bits
object SignExtend {
    def Sext(x: UInt, n: Int): UInt = {
        Fill(n - x.getWidth, x(x.getWidth - 1)) ## x
    }
}
